<?php 
echo '<div id="architectCat" class="architectTabsContent" style="display:none;">';
echo architect_table_start();
echo architect_admin_header('3', 'Build Home Page by Category Settings');

// Build by category - on or off
echo architect_admin_option('select', array('label' => 'Build by category', 'name' => 'architect_home_bycat', 'options' => array('1' => 'Yes', '0' => 'No'), 'value' => get_option('architect_home_bycat'), 'description' => 'Build the homepage by categories'));

// Number of categories
echo architect_admin_option('input', array('size' => 4, 'label' => '# of Categories', 'name' => 'architect_home_categories_total', 'value' => get_option('architect_home_categories_total'), 'description' => 'How many categories to show on the home page'));

$total = get_option('architect_home_categories_total');

if($total && $total > 0)
{
	$cats = get_categories(array('echo' => 0));
	$values = array();
	foreach($cats as $val)
	{
		$values[$val->cat_ID] = $val->cat_name;
	}
	for($i = 1; $i <= $total;$i++)
	{
		// Categories on home page
		echo architect_admin_option('select', array('label' => 'Category #'.$i, 'name' => 'architect_home_category_'.$i, 'options' => $values, 'value' => get_option('architect_home_category_'.$i), 'description' => 'Category #'.$i.' on the home page'));
		
		// Posts in this category
		echo architect_admin_option('input', array('size' => 4, 'label' => '# Posts in Category #'.$i, 'name' => 'architect_home_category_'.$i.'_total', 'value' => get_option('architect_home_category_'.$i.'_total'), 'description' => 'How many posts to show in category #'.$i));
	}
}
echo '</table></div>';

?>