<?php 
echo '<div id="architectBuildByCat" class="architectTabsContent" style="display:none;">';
echo architect_table_start();
echo architect_admin_header('3', 'Build by Category Settings');

// Build by category
echo architect_admin_option('select', array('label' => 'Build by Category', 'name' => 'architect_buildbycat_on', 'options' => array('1' => 'Yes', '0' => 'No'), 'value' => get_option('architect_buildbycat_on'), 'description' => 'Build homepage by category'));

// How many categories
echo architect_admin_option('input', array('size' => 3, 'label' => 'Number of categories', 'name' => 'architect_buildbycat_total', 'value' => get_option('architect_buildbycat_total'), 'description' => 'How many categories to show'));

$total = get_option('architect_buildbycat_total');

$cats = get_categories(array('echo' => 0));
$catArray = array();
foreach($cats as $cat)
{
	$catArray[$cat->cat_ID] = $cat->name;
}
// Categories
$count = 1;
if($total)
{
	for($i = 0; $i < $total; $i++)
	{
		echo architect_admin_header('4', 'Category #'.$count);
		
		// Title
		echo architect_admin_option('input', array('label' => 'Category #'.$count.' Title', 'name' => 'architect_buildbycat_title'.$count, 'value' => get_option('architect_buildbycat_title'.$count), 'description' => 'Title for category #'.$count));
		
		// Which category to display
		echo architect_admin_option('select', array('label' => 'Select Category', 'name' => 'architect_buildbycat_category'.$count, 'options' => $catArray, 'value' => get_option('architect_buildbycat_category'.$count), 'description' => 'Select the category you want to display posts from'));
		
		
		
		// How many in this category
		echo architect_admin_option('input', array('size' => 3, 'label' => 'Posts in category', 'name' => 'architect_buildbycat_count'.$count, 'value' => get_option('architect_buildbycat_count'.$count), 'description' => 'How many posts to show in this category'));
		
		$count++;
	}
	
}
// First Category to show
//echo architect_admin_option('select', array('label' => 'Show blog description', 'name' => 'architect_show_blogdesc', 'options' => array('1' => 'Yes', '0' => 'No'), 'value' => get_option('architect_show_blogdesc'), 'description' => 'Show blog description at the top of your page'));


echo '</table></div>';
?>